﻿using System.Drawing;

using DevExpress.XtraEditors;
using DevExpress.XtraGauges.Win;
using DevExpress.XtraGauges.Core.Drawing;
using DevExpress.XtraGauges.Core.Model;
using DevExpress.XtraGauges.Win.Gauges.Digital;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 게이지 컨트롤을 설정한다.

            GaugeControl gaugeControl = new GaugeControl();

            gaugeControl.Parent   = this;
            gaugeControl.Location = new Point(50, 50);
            gaugeControl.Size     = new Size(250, 100);

            #endregion
            #region 디지털 게이지를 설정한다.

            DigitalGauge digitalGauge = gaugeControl.AddDigitalGauge();          

            digitalGauge.DisplayMode               = DigitalGaugeDisplayMode.FourteenSegment;
            digitalGauge.DigitCount                = 14;
            digitalGauge.AppearanceOn.ContentBrush = new SolidBrushObject(Color.Red);
            digitalGauge.Text                      = "Gauge Control";

            #endregion
            #region 디지털 배경 레이어 컴포넌트를 설정한다.

            DigitalBackgroundLayerComponent digitalBackgroundLayerComponent = digitalGauge.AddBackgroundLayer();

            digitalBackgroundLayerComponent.ShapeType = DigitalBackgroundShapeSetType.Style2;

            #endregion
        }

        #endregion
    }
}